From 5d5ce91669258720bb47b254faa6308db3ebeed4 Mon Sep 17 00:00:00 2001
From: "H.J. Lu" <hjl.tools@gmail.com>
Date: Thu, 10 Oct 2019 11:59:56 -0700
Subject: [PATCH] [GCC 9] Mention Intel PTWRITE and Cascade Lake

---
 htdocs/gcc-9/changes.html | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/htdocs/gcc-9/changes.html b/htdocs/gcc-9/changes.html
index 2ed8409e..58f714ae 100644
--- a/htdocs/gcc-9/changes.html
+++ b/htdocs/gcc-9/changes.html
@@ -936,6 +936,13 @@ $ g++ typo.cc
 <h3 id="x86">IA-32/x86-64</h3>
 <ul>
   <li>Support of Intel MPX (Memory Protection Extensions) has been removed.</li>
+  <li>New ISA extension support for Intel PTWRITE was added to GCC.  PTWRITE
+      intrinsics are available via the <code>-mptwrite</code> compiler switch.
+  </li>
+  <li>GCC now supports the Intel CPU named Cascade Lake with AVX512 extensions
+      through <code>-march=cascadelake</code>. The switch enables the following
+      ISA extensions: AVX512F, AVX512VL, AVX512CD, AVX512BW, AVX512DQ, AVX512VNNI.
+  </li>
 </ul>
 
 
-- 
2.21.0

